DEBCONF-MERGETEMPLATE.PT.1(1)

NOME
debconf-mergetemplate - junta múltiplos ficheiros template de debconf

SINOPSE
 debconf-mergetemplate [opções] [templates.ll ...] templates

DESCRIÇÃO
Nota: Este utilitário está obsoleto. Você deve passar a usar o programa po2debconf do po-debconf.

Este programa é útil se tiver múltiplos ficheiros templates de debconf que quer juntar todos num ficheiro grande. Todos os ficheiros especificados serão lidos, juntos, e enviados para a saída standard.

Isto pode ser especialmente útil se você está a lidar com ficheiros template traduzidos. Neste caso, você pode ter o seu ficheiro template principal, mais outros vários ficheiros disponibilizados por tradutores. Estes ficheiros irão ter campos traduzidos neles, e talvez os tradutores tenham deixado as versões em Inglês dos campos que traduziram, para sua referência.

Portanto, você deseja juntar todos os ficheiros templates traduzidos no seu ficheiro templates principal. Quaisquer campos que apenas existam nos ficheiros traduzidos precisam ser adicionados aos templates correctos, mas quaisquer campos que eles tenham em comum deve ser substituídos pelos campos do ficheiro principal (que os quais pode estar mais actualizados).

Este programa lida com esse caso apropriadamente, apenas liste cada ficheiro template traduzido, e depois o seu ficheiro template principal no fim.

OPÇÕES

--outdated
    Funde até traduções desactualizadas. A predefinição é abandoná-las com uma mensagem de aviso.

--drop-old-templates
    Se uma tradução tem um template inteiro que não está no ficheiro mestre (e por isso é provavelmente um template antigo), abandona esse template inteiro.

VEJA TAMBÉM
debconf-getlang(1)

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro <a_monteiro@netcabo.pt>, 2010, 2012

Por favor comunique quaisquer erros de tradução para a_monteiro@netcabo.pt, l10n@debianpt.org, ou submeta um relatório de bug contra o pacote debconf.